Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins.cmp.jdbc.metadata
Class JDBCLeftJoinMetaData

    java.lang.Object
      org.jboss.ejb.plugins.cmp.jdbc.metadata.JDBCLeftJoinMetaData

public final class JDBCLeftJoinMetaData
extends Object

Represents

Version:
  `$Revision: 1.3 $`
Author:
  Alexey Loubyansky

Constructor Summary
`JDBCLeftJoinMetaData(Element element)`
`JDBCLeftJoinMetaData(String cmrField, String eagerLoadGroup, List leftJoinList)` Used only from the testsuite.

Method Summary
`boolean` | `equals(Object o)`
`String` | `getCmrField()`
`String` | `getEagerLoadGroup()`
`Iterator` | `getLeftJoins()`
`int` | `hashCode()`
`static List` | `readLeftJoinList(Iterator leftJoinIterator)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JDBCLeftJoinMetaData

    public JDBCLeftJoinMetaData(String cmrField,
                                String eagerLoadGroup,
                                List leftJoinList)

  Used only from the testsuite.

### JDBCLeftJoinMetaData

    public JDBCLeftJoinMetaData(Element element)
                         throws org.jboss.deployment.DeploymentException

Method Detail

### readLeftJoinList

    public static List readLeftJoinList(Iterator leftJoinIterator)
                                 throws org.jboss.deployment.DeploymentException

  Throws:
    `org.jboss.deployment.DeploymentException`

### getCmrField

    public String getCmrField()

### getEagerLoadGroup

    public String getEagerLoadGroup()

### getLeftJoins

    public Iterator getLeftJoins()

### equals

    public boolean equals(Object o)

### hashCode

    public int hashCode()

### toString

    public String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.